Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat
Interface StatisticsImplementor

All Known Implementing Classes:
  StatisticsImpl

    public interface StatisticsImplementor

Statistics SPI for the Hibernate core

Author:
  Emmanuel Bernard

Method Summary
`void` | `closeSession()`
`void` | `closeStatement()`
`void` | `connect()`
`void` | `deleteEntity(String entityName)`
`void` | `endTransaction(boolean success)`
`void` | `fetchCollection(String role)`
`void` | `fetchEntity(String entityName)`
`void` | `flush()`
`void` | `insertEntity(String entityName)`
`void` | `loadCollection(String role)`
`void` | `loadEntity(String entityName)`
`void` | `openSession()`
`void` | `optimisticFailure(String entityName)`
`void` | `prepareStatement()`
`void` | `queryCacheHit(String hql, String regionName)`
`void` | `queryCacheMiss(String hql, String regionName)`
`void` | `queryCachePut(String hql, String regionName)`
`void` | `queryExecuted(String hql, int rows, long time)`
`void` | `recreateCollection(String role)`
`void` | `removeCollection(String role)`
`void` | `secondLevelCacheHit(String regionName)`
`void` | `secondLevelCacheMiss(String regionName)`
`void` | `secondLevelCachePut(String regionName)`
`void` | `updateCollection(String role)`
`void` | `updateEntity(String entityName)`

Method Detail

### openSession

    void openSession()

### closeSession

    void closeSession()

### flush

    void flush()

### connect

    void connect()

### loadEntity

    void loadEntity(String entityName)

### fetchEntity

    void fetchEntity(String entityName)

### updateEntity

    void updateEntity(String entityName)

### insertEntity

    void insertEntity(String entityName)

### deleteEntity

    void deleteEntity(String entityName)

### loadCollection

    void loadCollection(String role)

### fetchCollection

    void fetchCollection(String role)

### updateCollection

    void updateCollection(String role)

### recreateCollection

    void recreateCollection(String role)

### removeCollection

    void removeCollection(String role)

### secondLevelCachePut

    void secondLevelCachePut(String regionName)

### secondLevelCacheHit

    void secondLevelCacheHit(String regionName)

### secondLevelCacheMiss

    void secondLevelCacheMiss(String regionName)

### queryExecuted

    void queryExecuted(String hql,
                       int rows,
                       long time)

### queryCacheHit

    void queryCacheHit(String hql,
                       String regionName)

### queryCacheMiss

    void queryCacheMiss(String hql,
                        String regionName)

### queryCachePut

    void queryCachePut(String hql,
                       String regionName)

### endTransaction

    void endTransaction(boolean success)

### closeStatement

    void closeStatement()

### prepareStatement

    void prepareStatement()

### optimisticFailure

    void optimisticFailure(String entityName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD